# -*- coding: utf-8 -*-

import time
import requests
import json
import uuid
import random
from config import config, env

lags = []
results = []

def _req(func, *params):
    url = params[0]
    data = params[1]
    headers = params[2]
    print(config.get(env).get("url") + url, headers)
    input_json_data = json.dumps(data, ensure_ascii=False, indent=2)
    print(input_json_data)
    print("-"*60)
    response = func(url, data, **headers)
    rspJson = json.loads(response.text)
    json_data = json.dumps(rspJson, ensure_ascii=False, indent=2)
    print(json_data)
    rsp_status = response.status_code
    lag = response.elapsed.microseconds / (1000 * 1000)
    print(rsp_status, lag)
    print("="*60)
    lags.append(lag)
    results.append(rsp_status)
    return rsp_status, lag, rspJson

def _reqPost(url, data, **headers):
    return requests.post(config.get(env).get("url") + url, json=data, headers=headers)

def _reqGet(url, data, **headers):
    return requests.get(config.get(env).get("url") + url, json=data, headers=headers)

def post(*params):
    return _req(_reqPost, *params)

def get(*params):
    return _req(_reqGet, *params)
